import * as ec2 from 'aws-cdk-lib/aws-ec2';
import { z } from 'zod';
/**
 * The PANNS embedding processor properties.
 */
export declare const PannsEmbeddingProcessorPropsSchema: z.ZodObject<{
    kmsKey: z.ZodOptional<z.ZodType<import("aws-cdk-lib/aws-kms").IKey, z.ZodTypeDef, import("aws-cdk-lib/aws-kms").IKey>>;
    logRetention: z.ZodDefault<z.ZodType<import("aws-cdk-lib/aws-logs").RetentionDays, z.ZodTypeDef, import("aws-cdk-lib/aws-logs").RetentionDays>>;
    sources: z.ZodType<Set<import("@project-lakechain/core/middleware").Middleware>, z.ZodTypeDef, Set<import("@project-lakechain/core/middleware").Middleware>>;
    destinations: z.ZodType<Set<import("@project-lakechain/core/middleware").Middleware>, z.ZodTypeDef, Set<import("@project-lakechain/core/middleware").Middleware>>;
    conditionals: z.ZodMap<z.ZodString, z.ZodType<import("@project-lakechain/core/dsl/vocabulary/conditions").ConditionalStatement, z.ZodTypeDef, import("@project-lakechain/core/dsl/vocabulary/conditions").ConditionalStatement>>;
    computeType: z.ZodOptional<z.ZodDefault<z.ZodNativeEnum<typeof import("@project-lakechain/core/compute-type").ComputeType>>>;
    maxRetry: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
    queueVisibilityTimeout: z.ZodOptional<z.ZodDefault<z.ZodType<import("aws-cdk-lib").Duration, z.ZodTypeDef, import("aws-cdk-lib").Duration>>>;
    batchingWindow: z.ZodOptional<z.ZodEffects<z.ZodType<import("aws-cdk-lib").Duration, z.ZodTypeDef, import("aws-cdk-lib").Duration>, import("aws-cdk-lib").Duration, import("aws-cdk-lib").Duration>>;
    batchSize: z.ZodOptional<z.ZodNumber>;
    cloudWatchInsights: z.ZodDefault<z.ZodBoolean>;
    cacheStorage: z.ZodType<import("@project-lakechain/core/cache-storage").CacheStorage, z.ZodTypeDef, import("@project-lakechain/core/cache-storage").CacheStorage>;
    maxMemorySize: z.ZodOptional<z.ZodNumber>;
    keyReusePeriod: z.ZodDefault<z.ZodType<import("aws-cdk-lib").Duration, z.ZodTypeDef, import("aws-cdk-lib").Duration>>;
    vpc: z.ZodType<ec2.IVpc, z.ZodTypeDef, ec2.IVpc>;
    maxInstances: z.ZodDefault<z.ZodOptional<z.ZodNumber>>;
}, "strip", z.ZodTypeAny, {
    vpc: ec2.IVpc;
    logRetention: import("aws-cdk-lib/aws-logs").RetentionDays;
    sources: Set<import("@project-lakechain/core/middleware").Middleware>;
    destinations: Set<import("@project-lakechain/core/middleware").Middleware>;
    conditionals: Map<string, import("@project-lakechain/core/dsl/vocabulary/conditions").ConditionalStatement>;
    cloudWatchInsights: boolean;
    cacheStorage: import("@project-lakechain/core/cache-storage").CacheStorage;
    keyReusePeriod: import("aws-cdk-lib").Duration;
    maxInstances: number;
    kmsKey?: import("aws-cdk-lib/aws-kms").IKey | undefined;
    computeType?: import("@project-lakechain/core/compute-type").ComputeType | undefined;
    maxRetry?: number | undefined;
    queueVisibilityTimeout?: import("aws-cdk-lib").Duration | undefined;
    batchingWindow?: import("aws-cdk-lib").Duration | undefined;
    batchSize?: number | undefined;
    maxMemorySize?: number | undefined;
}, {
    vpc: ec2.IVpc;
    sources: Set<import("@project-lakechain/core/middleware").Middleware>;
    destinations: Set<import("@project-lakechain/core/middleware").Middleware>;
    conditionals: Map<string, import("@project-lakechain/core/dsl/vocabulary/conditions").ConditionalStatement>;
    cacheStorage: import("@project-lakechain/core/cache-storage").CacheStorage;
    kmsKey?: import("aws-cdk-lib/aws-kms").IKey | undefined;
    logRetention?: import("aws-cdk-lib/aws-logs").RetentionDays | undefined;
    computeType?: import("@project-lakechain/core/compute-type").ComputeType | undefined;
    maxRetry?: number | undefined;
    queueVisibilityTimeout?: import("aws-cdk-lib").Duration | undefined;
    batchingWindow?: import("aws-cdk-lib").Duration | undefined;
    batchSize?: number | undefined;
    cloudWatchInsights?: boolean | undefined;
    maxMemorySize?: number | undefined;
    keyReusePeriod?: import("aws-cdk-lib").Duration | undefined;
    maxInstances?: number | undefined;
}>;
export type PannsEmbeddingProcessorProps = z.infer<typeof PannsEmbeddingProcessorPropsSchema>;
